/*
 * Configuration settings.
 *
 * Copyright (C) 2019 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#pragma once

#include "types.h"

struct config
{
  /* Current filename and output options. */

  char *output_prefix;
  char *output_dir;

  /* Compound interface and dispatcher output. */

  char *compound;
  char *compound_name;

  /* Configurations for generated code. */

  int client;
  int server;

  /* Generated code products. */

  int headers;
  int interfaces;
  int routines;

  /* Generated code language. */

  enum language language;

  /* Feedback to the user. */

  int verbose;
};

extern struct config conf;
